dde-dock (6.0.26) unstable; urgency=medium

  * release 6.0.26
  * fix #6033 #5719 #5786 #4331

 -- mike <chenke@deepin.org>  Fri, 29 Dec 2023 11:27:59 +0800

dde-dock (6.0.25) unstable; urgency=medium

  * chore: turn on bluetooth loading animation when not start
  * fix: fix again set dcc dock plugin icon pixelated

 -- chenhongtao <chenhongtao@deepin.org> Wed, 13 Dec 2023 15:31:57 +0800

dde-dock (6.0.24) unstable; urgency=medium

  * chore: use system icon first
  * fix: dcc dock plugin icon pixelated
  * fix some coredump issue
  * fix: brightness silder cannot sroll when is 28
  * tidy up some log

 -- chenhongtao <chenhongtao@deepin.org> Tue, 28 Nov 2023 10:51:52 +0800

dde-dock (6.0.23) unstable; urgency=medium

  * fix: displayplugin disappear when monitor count changed
  * fix: tray disappear when drag finished
  * fix: double tray show afeter drag into expandTray and drag back
  * chore: remove unused dbus
  * chore: Adapt time format feature(Issue: https://github.com/linuxdeepin/developer-center/issues/5902)

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 26 Oct 2023 17:25:38 +0800

dde-dock (6.0.22) unstable; urgency=medium

  * fix: a space on tray without trash show
  * fix: coredump empty tray when switch postion
  * fix: Can't hide when DockPopupWindow deactivate(Issue: https://github.com/linuxdeepin/developer-center/issues/5405)
  * fix: datetime size error
  * fix: tool appAreaWidget visible

 -- tsic404 <liuheng@deepin.org>  Mon, 11 Sep 2023 13:14:25 +0800

dde-dock (6.0.21) unstable; urgency=medium

  * fix: add lost windowSizeChanged Signal
  * fix: brightness update, update main view slider
  * chore: make trash not display in default
  * fix: click preview container not active window
  * feat: Remove dock-hotspot-plugin by Conflicts
  * feat: use new am dbus interface
  * feat: when new am avaliable do not load custom desktopfile
  * fix: dock coredump when update recentApp invisible
  * feat: make unrecongnized application not dock on dde-dock
  * fix: datetime font size error

 -- tsic404 <liuheng@deepin.org>  Wed, 06 Sep 2023 14:20:11 +0800

dde-dock (6.0.20) unstable; urgency=medium

  * fix: xebmbedtary click get no response in Efficient mode
  * fix: add hideModeChanged signal
  * fix: adjust the slider to set the sound multiple times
  * fix: dock autohide even trayGridWidget show

 -- tsic404 <liuheng@deepin.org>  Thu, 24 Aug 2023 15:30:37 +0800

dde-dock (6.0.19) unstable; urgency=medium

  * fix: no positionModeChanged signal
  * fix: some app do not display
  * fix: plugin set show on dock more times, also need same times call unshow
  * fix: applicationpreview scale not keep aspectratio
  * fix: click always activate application in TrayGridWidget
  * fix: not show with launcher when hide
  * fix: coredump when open jetbrains-toolbox

 -- Tsic404 <liuheng@deepin.org>  Mon, 07 Aug 2023 17:08:30 +0800

dde-dock (6.0.18) unstable; urgency=medium

  * fix: dock entries not update after displaymode changed
  * fix: official chrome unable to be identified

 -- Deepin Packages Builder <liuheng@deepin.org>  Mon, 24 Jul 2023 16:20:32 +0800

dde-dock (6.0.17) unstable; urgency=medium

  * fix: dock position changed from left to bottom no date display
  * fix: DockPopupWindow losing active status(Issue: #172773)
  * fix: make keyboard layout plugin size fixed
  * fix: adjust tray icon size to 20
  * fix: incorrect trash status when deleting file in other partition
  * fix: imcomplete display when dock plugin's tips text is multi-line
  * fix: Fix the incomplete display of text when font 20 is scaled to 1.25(Influence: 电脑协同显示区域)
  * fix: text missing translation(Influence: 文本显示)
  * fix: 修复'Brightness' 文本裁切问题(Influence: 文本显示)
  * chore: chore: update translate
  * chore: update dependencies
  * fix: tips font size not follow system
  * fix: 任务栏声音面板中出现异常的悬浮提示 (#876)
  * fix: the name of sound device shouldn't be edited (#880)
  * refactor: rewrite encapsulation of the dconfig
  * refactor: Rewrite the calling method of dock settings
  * chore: update .gitignore add debian and build ignore
  * feat: add taskmanager from dde-application-manager
  * fix: dock size error when dock positon changed

 -- Deepin Packages Builder <packages@deepin.org>  Tue, 11 Jul 2023 09:50:13 +0800

dde-dock (6.0.16) unstable; urgency=medium

  * fix: blank in the plugin area after recorder screen 

 -- tsic404 <liuheng@deepin.org>  Thu, 11 May 2023 17:30:39 +0800

dde-dock (6.0.15) unstable; urgency=medium

  * update translate
  * fix: timedate size is too full
  * fix: popupwindow is out of bounds at the edge of the screen 

 -- Tsic404 <liuheng@deepin.org>  Thu, 11 May 2023 15:02:33 +0800

dde-dock (6.0.14) unstable; urgency=medium

  * fix: trash do not display when dock hide and trash readded into dock
  * fix: popupwindow need click destkop twice to hide 
  * fix: sound plugin style adjust
  * fix: window radius
  * fix: coredump after screen recorder finished, when drag something
  * fix: fcitx5 keyboard tray icon blur

 -- Tsic404 <liuheng@deepin.org>  Sat, 06 May 2023 16:59:15 +0800

dde-dock (6.0.13) unstable; urgency=medium

  * fix appitem indicator wrong position
  * fix fixed_plugin unable to show after click undock
  * fix desktopfile unable drag into dock and make it docked

 -- Tsic404 <liuheng@deepin.org>  Fri, 21 Apr 2023 09:39:23 +0800

dde-dock (6.0.12) unstable; urgency=medium

  * fix sni tray unable to click after first left click
  * adjust contol panel style
  * do not handle dci scale

 -- Tsic404 <liuheng@deepin.org>  Mon, 17 Apr 2023 10:01:13 +0800

dde-dock (6.0.11) unstable; urgency=medium

  * fix: timedate display widget size error
  * fix: when there is focus on dockpopupwindow, it hide
  * fix: modify the color of the area not covered by the slider
  * fix: dont hide all close button(Task: 3608)
  * fix: abnormally display battery plug-in in the quick-trays
  * fix: when multiscreen connected non-primary display unable to click popupwindow
  * fix: xembed tray flew out
  * fix: dont hide all close button
  * fix: timedate alway request timedate format
  * fix: multitasking no response sometime
  * fix: FixedLlugin disapprear after drag
  * fix: disk popup does not hide(Issue: 3813)

  feat: DockPopupWindow reimplemeted by DBlurEffectWidget

 -- Tsic404 <liuheng@deepin.org>  Fri, 14 Apr 2023 11:30:52 +0800

dde-dock (6.0.10) unstable; urgency=medium

  [ bugfix ]
  * fix: dock active color not follow dde-control-center
  * fix: tray overhanging text
  * fix: tray always reset while dragging quickItem to tray
  * fix: splash preview container
  * fix: unmute when changed volume
  * fix: expandwidget tray item can be selected
  * fix: plugin back button not support hiDPI
  * fix: bluetooth not refresh button
  * fix: Icon of trashs  is too large in small dock
  * fix: radius for tray background
  * fix: abnormal display of sound output device list
  * fix: launcher shown in a wrong location while multi screens connected
  * fix: multitasking unable to remove
  * fix: unable call selected app preview window

 -- Tsic404 <liuheng@deepin.org>  Wed, 29 Mar 2023 13:19:37 +0800

dde-dock (6.0.9.2) unstable; urgency=medium

  [ TagBuilder ]
  * fix: 修复拖动插件到任务栏后所有插件都显示的问题(Bug: 181945)(Influence: 默认所有的快捷面板中的插件都在任务栏显示，从控制中心取消所有插件的勾选，然后从快捷面板拖动一个插件到任务栏，观察任务栏插件显示情况)
  * fix: 修复切换主题快捷面板插件主题颜色没有变化(Bug: 184085)(Influence: 打开快捷面板，切换主题，观察图标颜色显示是否正常)

 -- lvpeilong <lvpeilong@uniontech.com>  Thu, 02 Feb 2023 13:30:36 +0800

dde-dock (6.0.9.1) unstable; urgency=medium

  [ TagBuilder ]
  * chore: 更新changelog(Task: 227573)(Influence: 版本号)
  * fix: 修复移除蓝牙设备后任务栏插件不消失的问题(Bug: 181945)(Influence: 插上蓝牙，从控制中心勾选该插件，在任务栏显示，然后移除蓝牙设备，观察任务栏的蓝牙图标是否消失)
  * fix: 修复从任务栏向上拖动插件引起任务栏崩溃的问题(Bug: 181945)(Influence: 从任务栏向上拖动插件，观察任务栏是否正常)
  * fix: 修复从托盘拖动图标到任务栏引起崩溃的问题(Bug: 181945)(Influence: 将托盘图标拖动到任务栏)
  * fix: 修改插件区域出现重复的电池图标问题(Bug: 184085)(Influence: 任务栏-电池图标状态刷新)
  * fix: 修复高缩放率下图标显示异常的问题(Bug: 183543, 184089)(Influence: 高分屏，高缩放率，观察任务栏插件区域的图标)
  * fix: 修复系统主题变化后快捷面板电池颜色显示错误的问题(Bug: 184085)(Influence: 打开快捷面板，在控制中心更改系统颜色，观察快捷面板中系统电池图标是否跟随系统颜色变化)
  * fix: 更新翻译文案(Task: 226203)(Influence: 从笔记本上观察控制中心个性化中电池的文案)

 -- lvpeilong <lvpeilong@uniontech.com>  Wed, 01 Feb 2023 15:26:25 +0800

dde-dock (6.0.8.1) unstable; urgency=medium

  [ TagBuilder ]
  * style: 解决编译不通过的问题(Task: 96831)(Influence: gerrit打包)
  * fix: 修复键盘布局插件不响应键盘布局变化的问题(Task: 225011)(Influence: 社区版，从控制中心不断新增和删除键盘布局，观察布局插件是否显示隐藏)
  * feat: 加载插件流程移动到插件里单独加载(Task: 222353)(Influence: 加载插件)
  * feat: 加载基本插件(Task: 222353)(Influence: 插件加载)
  * fix: 点击插件弹出自己的列表(Task: 222353)(Influence: 点击插件，观察是否弹出插件自己对应的列表，如果没有弹出列表，则触发这个插件的功能)
  * chore: 删除多余的文件(Task: 222353)(Influence: 无)
  * fix: 调整插件的尺寸(Task: 222353)(Influence: 观察任务栏插件是否对齐)
  * fix: 修复移除蓝牙后弹框依然显示的问题(Bug: 181945)(Influence: 点击任务栏的蓝牙图标，弹出蓝牙弹窗，然后移除蓝牙，观察蓝牙的弹窗是否存在)
  * fix: 优化插件图标样式(Task: 181945)(Influence: 图标样式)
  * feat: 高效模式下最右侧增加显示桌面区域(Bug: 180859)(Influence: 进入高效模式，鼠标进入最右侧，点击，观察是否可以正常显示桌面)
  * fix: 修复高缩放率下固定区域图标和回收站图标显示异常的问题(Bug: 182673)(Influence: 1.25倍缩放率下，选择非默认主题，观察任务栏显示桌面、多任务试图和回收站的图标大小是否正常)
  * fix: 修复高缩放率下插件图标显示异常的问题(Bug: 183543)(Influence: 高分屏，设置缩放率为最高，观察任务栏插件区域的图标显示是否正常)
  * fix: 修复展开托盘无法通过菜单移除U盘的问题(Bug: 182299)(Influence: 插入U盘，打开托盘区，右键菜单，点击，观察功能是否生效)
  * fix: 解决任务栏时间日期文字显示异常的问题(Bug: 181387)(Influence: 时间和日期显示)
  * fix: 修复图标异常问题(Bug: 181723)(Influence: 高缩放率下，观察组合图标显示是否正常)
  * fix: 根据设计图调整插件位置(Bug: 181251)(Influence: 声音、亮度调整和媒体播放的显示位置)
  * fix: 修复任务栏适应不同的主题(Bug: 179377)(Influence: 从控制中心修改主题颜色，观察任务栏快捷面板的主题颜色是否发生变化)
  * fix: 修复快捷面板插件子面板无法关闭主面板的问题(Bug: 222353)(Influence: 进入快捷面板的蓝牙子界面点击设置，进入声音子界面点击设置，进入亮度调整子界面点击设置，在弹出对应的功能后，观察快捷面板是否隐藏)
  * fix: 修复高效模式下无法打开企业微信的问题(Bug: 182065)(Influence: 进入高效模式，打开企业微信和微信等应用，观察是否正常打开窗口)

 -- zhaoyingzhen <zhaoyingzhen@uniontech.com>  Fri, 13 Jan 2023 11:37:21 +0800

dde-dock (6.0.7) unstable; urgency=medium

  [ TagBuilder ]
  * fix: 修复插件显示尺寸问题(Bug: 179083)(Influence: 截图-查看截图计时插件是否正常显示)
  * fix: 任务栏协同不显示安卓设备。(Task: 233323)(Influence: 设备列表不显示安卓设备。)
  * fix: 修复文案显示错误(Bug: 180959)(Influence: 任务栏最右侧的电源按钮)
  * fix: 更新翻译文件(Bug: 180959)(Influence: 任务栏-电源，观察电源的文本)

 -- lvpeilong <lvpeilong@uniontech.com>  Fri, 06 Jan 2023 16:32:53 +0800

dde-dock (6.0.6.1) unstable; urgency=medium

  [ TagBuilder ]
  * fix: 修复向上拖动图标引起任务栏崩溃的问题(Bug: 179427)(Influence: 从任务栏向上拖动快捷图标，观察任务栏是否正常)
  * fix: 声音插件滚轮调节音量(Bug: 172417)(Influence: 将鼠标放在任务栏声音图标上，滚动滚轮，观察音量大小是否调节)
  * fix: 增加强制在任务栏显示插件的接口(Task: 226407)(Bug: 179083)(Influence: 截图，观察任务栏是否有计时的图标)
  * fix: 修复高缩放率下显示问题(Bug: 176421)(Influence: 设置高缩放率，观察开始菜单的位置，任务栏图标占满区域，左右位置，观察任务栏图标是否拥挤)

 -- zhaoyingzhen <zhaoyingzhen@uniontech.com>  Thu, 29 Dec 2022 15:13:58 +0800

dde-dock (6.0.5.1) unstable; urgency=medium

  [ TagBuilder ]
  * feat: 蓝牙插件适应快捷插件接口(Task: 121387)(Influence: 任务栏-快捷设置-蓝牙)
  * fix: 修复高缩放率下启动器位置显示错误和无法设置智能隐藏的问题(Bug: 154513, 157413)(Influence: 前提：屏幕分辨率设置为1.25；1、任务栏设置为智能隐藏，将窗口拖动到任务栏下方，观察任务栏是否隐藏；2、观察启动器的位置是否正确)
  * fix: 修复从任务栏拖动图标分屏后鼠标回到任务栏遮罩不消失的问题(Task: 181523)(Influence: 从任务栏拖动图标到桌面，不松手，然后再回到任务栏，观察遮罩是否消失)
  * fix: 修复部分托盘无图标的问题(Bug: 160761)(Influence: 安全中心、授权管理等应用的托盘图标)
  * fix: 修复跨端协同设备数量变化时列表页面显示不全的问题。(Influence: 跨端协同设备变化时，页面显示。)
  * feat: 高效模式增加加载插件的功能(Task: 112073)(Influence: 高效模式下加载插件)
  * feat: 适配v20插件加载(Task: 112073)(Influence: 加载v20插件)
  * fix: 加载系统托盘插件(Task: 112073)(Influence: 插入U盘，查看托盘区域是否有U盘图标)
  * fix: 托盘跟随高效模式调整任务栏位置(Task: 112073)(Influence: 高效模式下，调整任务栏位置，观察托盘区域是否正常)
  * fix: 修复任务栏没有加载显示桌面和多任务视图的问题(Task: 112073)(Influence: 任务栏查看是否存在显示桌面和多任务栏视图的插件)
  * feat: 图标增加toolTip和菜单(Task: 112073)(Influence: 鼠标放入到托盘区域、快捷插件区域，关机区域，观察是否存在toolTip，右键，观察是否弹出菜单)
  * fix: 实现高效模式下托盘和快捷插件拖动功能(Task: 112073)(Influence: 高效模式，从托盘或快捷面板拖动图标到任务栏)
  * feat: 快捷面板支持插件控制区域的显示(Task: 208579)(Influence: 快捷面板，观察声音、亮度调整和音乐播放等功能是否显示正常)
  * feat: 声音插件适配v23(Task: 210309)(Influence: 观察任务栏是否存在声音插件)
  * style: 消除编译警告信息(Task: 96831)(Influence: 无)
  * fix: 删除编译警告(Task: 96831)(Influence: 无)
  * style: 修改快捷区域key值(Task: 96831)(Influence: 无)
  * fix: 修复快捷面板应用打开详细页面位置错误的问题(Task: 211641)(Influence: 从快捷面板展开蓝牙或者网络右侧的展开按钮，观察是否显示正常)
  * fix: 解决任务栏跨端协同在paired状态变化后主动请求协同连接的问题。(Influence: 任务栏设备协同连接功能。)
  * style: 枚举变量的信号传递去掉引用(Task: 96831)(Influence: 无)
  * fix: 修复快捷面板没有刷新最新状态图的问题(Task: 208069)(Influence: 笔记本上打开快捷面板，拔掉电源或插上电源，观察电池状态是否发生变化)
  * fix: 修改任务栏加载老版本插件的方式(Task: 112073)(Influence: 任务栏启动的时候，观察老版本的插件（例如U盘插件等其他v20插件）是否正常加载)
  * fix: 优化快捷面板显示插件区域的方式(Task: 189527)(Influence: 打开快捷面板，观察插件是否正常显示)
  * feat: 完善onboard插件的接口(Task: 212611)(Influence: 快捷面板观察onboard插件是否正常显示)
  * fix: 修复时尚模型下图标铺满任务栏的显示问题(Task: 150049)(Influence: 时尚模式下，不断向任务栏添加图标，知道铺满，观察任务栏是否在屏幕可见区域内)
  * fix: 适配最新版本的dtk(Task: 213083)(Influence: 无)
  * fix: 修复声音设置错误(Task: 210309)(Influence: 打开快捷设置面板，通过滑动条来调整声音，观察声音是否在设置的范围内，同时观察主面板和子面板两边的声音滑动条是否同步)
  * fix: 修复鼠标放到任务栏上拖动区域尺寸错误的问题(Task: 213103)(Influence: 任务栏在下方的时候，鼠标放入任务栏上方的位置，观察鼠标形状是否正常)
  * fix: 修复关机图标与插件区域间距过大的问题(Task: 112073)(Influence: 高效模式下，观察关机图标与左右侧插件和时间的距离)
  * fix: 修复高效模式下关机按钮显示文本的问题(Task: 112073)(Influence: 高效模式下，调整任务栏到最高，观察关机按钮的显示)
  * fix: 修复托盘图标显示异常的问题(Task: 213361)(Influence: 观察输入法是否正常显示，将托盘图标从托盘拖动到任务栏，观察该图标是否在展开托盘图标和输入法中间)
  * fix: 修复部分命令无法执行的问题(Task: 213403)(Influence: 任务栏关机命令观察是否正常执行)
  * fix: 修复wayland下部分托盘的tooltips显示异常(Bug: 157821)(Influence: 进入wayland,打开音乐，鼠标放入到音乐图标上，观察是否正常显示提示消息)
  * fix: 修复已打开应用缩略图显示位置偏差(Bug: 165775)(Influence: 鼠标放入到已经打开的应用的上方，观察预览图的位置显示是否正常)
  * fix: 修复右键插件区域再单击弹出菜单的问题(Bug: 171559)(Influence: 右键插件区域，再左键，观察插件区域菜单是否正常显示)
  * fix: 修复插件右键菜单不响应的问题(Bug: 164381)(Influence: 右键菜单区域，点击某个菜单项，观察是否正常响应)
  * fix: 修复任务栏点击时间设置崩溃的问题(Bug: 171511)(Influence: 任务栏右键时间区域，打开时间设置，观察是否正常打开控制中心的时间设置)
  * fix: 修复拖动无打开窗口触发分屏后自动打开应用的问题(Bug: 154349)(Influence: 从任务栏拖动一个没有打开窗口的应用，观察是否打开应用（正常情况下不会打开应用），释放鼠标，观察应用图标是否回到任务栏上)
  * fix: 修复wayland下打开快捷面板tooltip没有隐藏的问题(Bug: 171551)(Influence: 进入wayland，鼠标放在任务栏的插件上，点击应用弹出快捷面板，观察toolTip是否消失)
  * fix: 修复点击快捷面板之外的区域快捷面板不关闭的问题(Bug: 171545, 171583)(Influence: 进入wayland，打开快捷面板，点击快捷面板之外的其他区域，观察快捷面板是否关闭)
  * fix: 去掉部分插件的右键菜单(Bug: 171753)(Influence: 右键蓝牙、声音等插件，观察是否有右键菜单)
  * fix: 修复任务栏中拖拽图标到桌面区域图标消失的问题(Bug: 171539)(Influence: 将托盘图标从任务栏快速向上拖动，观察任务栏托盘的图标是否还存在)
  * style: 修改函数接口调用(Task: 96831)(Influence: 无)
  * fix: 同步启动器的修改(Bug: 147753)(Influence: 从启动器应用列表-拖拽到任务栏-回收站-卸载应用功能正常)
  * fix: 修复从托盘拖动应用到任务栏上面图标显示异常的问题(Bug: 171493)(Influence: 将安全中心等图标从托盘拖动到任务栏，观察图标是否重复)
  * feat: 增加返回给控制中心设置插件和托盘应用的接口(Task: 216841)(Influence: 无)
  * fix: 修复移除插件后快捷面板显示异常的问题(Bug: 171579)(Influence: 不断插入或者移除蓝牙设备，观察快捷面板是否显示正常)
  * fix: 修复关闭窗口特效下启动器按钮被遮挡的问题(Task: 216977)(Influence: 关闭窗口特效的时候，观察启动器按钮是否正常显示)
  * fix: 修复快捷面板弹出位置不准确的问题(Bug: 172213)(Influence: 从任务栏不同的插件图标点击，观察弹出快捷面板的位置)
  * fix: 电池插件不显示在快捷面板(Bug: 171713)(Influence: 从笔记本上，打开快捷面板，观察是否存在电池图标)
  * fix: 修复高缩放率下无法点击快捷面板的问题(Task: 218215)(Influence: 在1.25倍缩放率下，展开快捷面板，点击网络插件展开按钮，观察是否可以展开)
  * fix: 修复蓝牙列表中设备顺序与控制中心不一致的问题(Bug: 171513)(Influence: 打开快捷面板中的蓝牙列表，在多个设备同时存在的情况下，观察设备顺序是否和控制中心一致)
  * chore: 设置日志格式(Task: 124695)(Influence: 无)
  * fix: 修复音量插件调节最小刻度不是%2的问题(Bug: 172417)(Influence: 音量插件调节)
  * fix: 修复亮度插件无法调整到100的问题(Bug: 171869)(Influence: 任务栏-亮度插件调节)
  * fix: 修复插件展开列表名称显示错误的问题(Task: 218733)(Influence: 从快捷面板打开网络列表，观察标题是否为网络)
  * fix: 修复快捷面板中音量调节不响应音量增强设置的问题(Bug: 171869)(Influence: 任务栏-音量插件-音量增强时的交互)
  * fix: 解決协同连接设备时关闭协同服务总开关导致任务栏崩溃的问题。(Bug: 171741)(Influence: 协同连接设备.)
  * fix: 从任务栏移除托盘图标后放入托盘区(Bug: 171497, 171539)(Influence: 将图标从任务栏移出，松手后图标自动移到托盘区)
  * fix: 增加对控制中心设置不同主题下图标的接口(Bug: 172365)(Influence: 在控制中心切换主题，观察图标是否发生变化)
  * fix: 去掉电池的右键菜单(Bug: 171753)(Influence: 右键电池插件，观察是否存在菜单)
  * fix: 修复移除蓝牙设备后快捷面板依然显示的问题(Bug: 171533)(Influence: 从电脑上移除蓝牙设备，观察快捷区域和快捷面板是否还有蓝牙图标)
  * fix: 修复从控制中心第一次连接需要密码的网络没有弹出网络面板的问题(Bug: 150395)(Influence: 从控制中心第一次连接需要密码的网络，观察任务栏是否显示网络列表)
  * fix: 适配v20插件在任务栏的显示(Task: 112073)(Influence: 任务栏显示v20插件)
  * fix: 修复插入新的蓝牙设备后其他蓝牙设备自动关闭的问题(Bug: 171477)(Influence: 系统中已经存在一个蓝牙设备，且是打开状态，打开快捷面板，进入蓝牙详情页面，插入新的蓝牙设备，观察之前的蓝牙设备是否自动关闭)
  * fix: 修复快捷面板展开后点击任务栏应用无法打开的问题(Bug: 166029)(Influence: 打开快捷面板，再打开任务栏应用，观察是否在关闭快捷面板的同时打开了任务栏的应用)
  * fix: 修复任务栏插件音量设备显示错误的问题(Bug: 165853)(Influence: 从任务栏打开音量，进入音量的详情页面，观察是否和控制中心一致)
  * fix: 修复快捷面板蓝牙状态显示错误的问题(Bug: 171419)(Influence: 点击蓝牙图标，观察快捷面板蓝牙的打开或者关闭的状态)
  * fix: 完善音量功能(Bug: 172429)(Influence: 从控制中心关闭设备，观察任务栏设备状态是否发生变化)
  * feat: 插件增加标记(Task: 220099)(Influence: 任务栏插件)
  * fix: 插件根据标记来决定插件的类型(Task: 220099)(Influence: 任务栏插件类型)
  * feat: 增加display插件(Task: 220489)(Influence: 展开任务栏快捷面板，观察是否有亮度设置相关的功能)
  * fix: 移除代码中对显示相关的插件的引用(Task: 220489)(Influence: 无)
  * fix: 修复wayland下无法拖动任务栏的问题(Task: 220523)(Influence: 进入wayland,鼠标移动到任务栏边缘，观察鼠标形状是否改变，能否正常调整任务栏尺寸)
  * fix: 修复快捷面板没有自动刷新图标的问题(Task: 220599)(Influence: 执行快捷面板中的截图图标，观察图标是否发生变化)
  * fix: 新增或移除显示屏插件自动添加或删除(Task: 220489)(Influence: 拔出显示屏后再插入显示屏，观察任务栏快捷面板中的亮度设置插件是否发生变化)
  * fix: 修复音量增强未响应的问题(Bug: 171869)(Influence: 任务栏-音量-音量增强)
  * feat: 将音乐播放功能提取为单独的插件(Task: 220489)(Influence: 无)
  * fix: dock代码中移除音乐插件(Task: 220489)(Influence: 打开音乐播放器，任务栏快捷面板中显示音乐播放面板)
  * fix: 修复控制中心显示多条重复控件的问题(Bug: 171581)(Influence: 控制中心-个性化，观察蓝牙或者任务栏等插件是否只显示一次)
  * feat: 增加回收站和电源插件在控制中心的显示和隐藏(Task: 216841)(Influence: 从控制中心勾选或者取消勾选回收站和电源插件，观察任务栏的变化)
  * fix: 修复wayland下智能隐藏偶尔失效的问题(Bug: 154513)(Influence: 进入wayland,任务栏设置为智能隐藏，从任务栏打开一个窗口，观察智能隐藏是否有效果)
  * fix: 修复wayland下高效模式设置任务栏struct失效的问题(Bug: 150637)(Influence: 进入wayland-任务栏设置为一直隐藏或智能隐藏，窗体最大化，让任务栏显示隐藏，观察任务栏窗体是否发生变化)
  * docs: 更新插件开发文档(Task: 221667)(Influence: 无)
  * feat: 任务栏适配不同主题的插件图标(Task: 222025)(Influence: 切换不同的主题，观察图标是否发生变化)
  * fix: 插件适配不同主题图标(Task: 222025)(Influence: 切换主题，观察任务栏的图标和控制中心个性化中的图标是否发生了变化)
  * fix: 去掉插件中读取禁用当前插件的配置(Bug: 175085)(Influence: 插入蓝牙观察是否有蓝牙图标)
  * fix: 修复从任务栏拖出托盘应用后托盘不弹出的问题(Bug: 171497)(Influence: 从任务栏拖动微信或企业微信，观察托盘是否弹出)
  * fix: 修改插件接口(Task: 222025)(Influence: 无)
  * fix: 修复音量调节控件幅度不正确的问题(Bug: 172417)(Influence: 音量控件调节幅度)
  * feat: 声音插件滚轮调节音量(Bug: 172417)(Influence: 将鼠标放在任务栏声音图标上，滚动滚轮，观察音量大小是否调节)
  * fix: 修复U盘插件不显示的问题(Task: 223159)(Influence: 系统中使用v20的U盘插件，插入U盘，查看U盘图标是否显示)
  * fix: 修复调整任务栏位置后显示错误的问题(Task: 218981)(Influence: 时尚模式下，将任务栏从下方调整在左侧，观察托盘面板显示是否正常)
  * fix: 修复控制中心调整任务栏尺寸缓慢显示的问题(Bug: 171799)(Influence: 从控制中心个性化调整任务栏尺寸，观察任务栏的尺寸是否正常调整)
  * chore: V23接口改造适配(Task: 207483)(Influence: 无)
  * fix: 点击任务栏时间显示窗口呼出小组件面板(Task: 165407)(Influence: 点击任务栏时间窗口小组件是否显示。)
  * fix: 声音调整改成新接口(Bug: 172417)(Influence: 鼠标移动到任务栏的声音图标，滚动鼠标，声音跟着调整)
  * fix: 修复无法通过蓝牙主面板开启关闭蓝牙的问题(Bug: 171419)(Influence: 打开快捷面板，点击蓝牙图标，观察蓝牙是否正常开启和关闭)
  * fix: 修复黑色背景下蓝牙列表名称颜色显示错误(Bug: 167961)(Influence: 改变主题，观察蓝牙列表设备名称的颜色是否改变)
  * fix: 修复反复开关蓝牙导致的崩溃问题(Task: 226123)(Influence: 蓝牙开关功能)
  * fix: 修复控制中心调节透明度对任务栏无作用的问题(Task: 226127)(Influence: 任务栏透明度调节)
  * fix: 适配协同后端接口变化修改。(Bug: 176323)(Influence: 协同设备列表显示)

 -- zhaoyingzhen <zhaoyingzhen@uniontech.com>  Tue, 13 Dec 2022 21:15:48 +0800

dde-dock (6.0.4) unstable; urgency=medium

  [ Deepin Packages Builder ]
  * fix: 修复托盘图标提示信息显示异常的问题(Bug: 150521)(Influence: 托盘提示信息显示)
  * fix: 时尚模式时间日期tips有wayland默认tittle(Bug: 149173)(Influence: 任务栏时尚模式下时间日期tips是否显示正常)
  * fix: 修复多任务视图界面点击任意处均导致任务栏显示右键菜单的问题(Bug: 150507)(Influence: 任务栏右键菜单显示的时机)
  * feat: 拖动任务栏图标实现分屏效果(Task: 163465)(Influence: 从任务栏拖动图标到屏幕上方，查看是否有分屏功能)
  * feat: 开启AM宏(Task: 162227)(Influence: 无)
  * fix: 修复从任务栏无法打开控制中心问题(Bug: 149189)(Influence: 任务栏-任务栏设置-打开控制中心 任务栏-蓝牙-蓝牙设置 任务栏-日期-日期时间设置 任务栏-电源-电源设置 任务栏-关机-关机设置 任务栏-声音-声音设置 观察是否正常打开控制中心)
  * fix: 时尚模式下日期时间增加右键菜单(Task: 162235)(Influence: 任务栏-时尚模式，右键查看日期时间是否存在时间日期菜单)
  * fix: 修复从最近使用区域移除驻留后应用图标没有驻留到应用区域最末尾(Bug: 147643)(Influence: 任务栏时尚模式下，在最近使用区域移除驻留，观察移除的驻留是否在区域的末尾)
  * feat: 增加适配控制中心设置是否使用最近区域的功能(Bug: 147717)(Influence: 开关是否显示最近使用应用，时尚模式下观察最近使用应用是否显示或隐藏)
  * feat: 增加窗口多开的功能(Task: 170977)(Influence: 控制中心开启多开窗口显示，观察应用打开的窗口是否在对应的位置显示)
  * feat: 任务栏应用拖动到移除驻留(Bug: 147699)(Influence: 拖动任务栏应用到回收站，观察是否可以移除驻留)
  * fix: 修复wayland环境下应用打开窗口无法显示预览的问题(Bug: 140919)(Influence: wayland-任务栏打开一个应用窗口，鼠标放入到窗口上，查看预览图)
  * fix: 任务栏代码结构优化解耦(Bug: 137267, 140029, 134527, 146743, 150293)(Influence: 打开任务栏，观察时尚模式下圆角，左右侧区域中间是否连接在一起等)
  * feat: 删除插件基类的isPrimary接口(Task: 121387)(Influence: 安装网络插件，查看网络插件是否在快捷设置面板中显示两列图标)
  * fix: 修改v20的接口为v23的接口(Task: 182009)(Influence: 打开控制中心，鼠标移动唤醒任务栏等操作)
  * fix: 删除任务栏对libdframeworkdbus-dev库的依赖(Task: 182009)(Influence: 打开控制中心，鼠标移动唤醒任务栏、加载插件等，观察相关功能是否正常)
  * fix: 修复部分托盘服务对应进程状态异常时导致任务栏卡死问题(Bug: 121947)(Influence: 托盘服务)
  * feat: 添加任务栏跨端协同操作功能。(Task: 119639)(Influence: 任务栏跨端协同功能。)
  * fix: 修复任务栏在副屏上方鼠标跟随未移动到左侧的问题(Bug: 147641)(Influence: 开启鼠标跟随，任务栏默认在主屏，鼠标移动到副屏幕，任务栏跟随到副屏幕，改变任务栏位置为上，此时任务栏在副屏幕的上方，将鼠标移动到主屏幕的上方，观察任务栏是否移动到主屏幕的上方)
  * feat: 删除任务栏中控制中心设置插件(Task: 130353)(Influence: 无)
  * fix: 时尚模式增加阴影(Bug: 137267)(Influence: 时尚模式观察阴影)
  * feat: 支持通过环境变量的形式指定插件的路径(Issue: 3402)(Influence: 影响插件加载，对旧插件保持兼容)
  * fix: 修复wayland环境时尚模式下打开企业微信崩溃的问题(Task: 196629)(Influence: 进入wayland桌面，进入时尚模式，打开企业微信，双击，观察企业微信是否正常打开)
  * fix: 修复高效模式下托盘入口图标没有跟随位置变化而变化(Bug: 147743)(Influence: 时尚模式下改变任务栏位置，观察托盘入口是否发生变化)
  * style: 优化CMakeList.txt文件(Task: 96831)(Influence: 无)
  * fix: 修复开启启动器后鼠标再次点击无法关闭启动器的问题(Task: 198183)(Influence: 从任务栏点击鼠标开启启动器，再次点击鼠标，观察启动器是否收缩)
  * fix: 修复wayland下窗口预览为空的问题(Bug: 140919, 150475)(Influence: 进入wayland，鼠标放入任务栏已经打开的窗口图标上，观察预览图是否显示)
  * fix: 修复任务栏在右侧智能隐藏失败(Bug: 154513)(Influence: 任务栏右侧智能隐藏，将窗口拖动到任务栏的右侧，观察任务栏是否隐藏)
  * fix: 修复跨端协同设备列表数量显示不对的问题。(Bug: 203831)(Influence: 跨端协同设备数量,及设备协同连接。)
  * fix: 修复时尚模式下快捷设置面板显示设置子页面显示不全，导致跨端协同设备列表显示异常问题。(Bug: 160587, 160599)(Influence: 时尚模式下显示设置子页面显示问题。)

 -- baodi <baodi@uniontech.com>  Wed, 19 Oct 2022 12:57:31 +0800

dde-dock (6.0.3) unstable; urgency=medium

  [ TagBuilder ]
  * fix: 修复debian打包使用AM宏不生效的问题(Task: 133075)(Influence: 任务栏是否使用AM服务)
  * fix: 修复wayland环境下任务栏右键菜单带有标题栏的问题(Bug: 140873)(Influence: wayland下查看任务栏图表的右键菜单)
  * fix: 修复任务栏在高缩放率下防呆位置错误(Influence: 高缩放率下，查看防呆区域)
  * fix: 删除任务栏启动时候用ldd检测libdtk库(Task: 157235)(Influence: 任务栏启动的时候检测是否有ldd报错信息)
  * feat: 暂时取消使用AM宏(Task: 162227)(Influence: 无)
  * feat: 增加最近使用应用的功能(Task: 158441)(Influence: 控制中心最近使用区域开启情况下，时尚模式，打开一个没有驻留在任务栏的应用，查看新打开的应用是否在最近打开应用区域)
  * feat: 增加工具区域的使用(Task: 152867)(Influence: 时尚模式下，查看最近打开区域右侧是否显示回收站，来回切换时尚模式与高效模式，查看回收站位置是否发生变化)
  * feat: recompile(Influence: recompile)
  * feat: 点击任务栏时间显示窗口呼出小组件面板。(Task: 165407)(Influence: 点击任务栏时间窗口小组件是否显示。)
  * fix: 修复拖拽托盘窗口图标至任务栏托盘区域经常失败的问题。(Bug: 147789)(Influence: 拖拽托盘窗口图标至任务栏托盘区域。)
  * chore: 优化有关slider等相关的操作代码(Influence: 快捷设置面板slider操作。)
  * fix: 修复从任务栏或其他应用打开控制中心卡死的问题(Bug: 149189)(Influence: 任务栏-任务栏设置-打开控制中心，观察打开的时间)

 -- caixiangrong <caixiangrong@uniontech.com>  Mon, 25 Jul 2022 13:10:23 +0800

dde-dock (6.0.2) unstable; urgency=low

  * release 6.0.2

 --  fanpengcheng <fanpengcheng@uniontech.com>  Tue, 21 Jun 2022 16:55:39 +0800

dde-dock (6.0.1) unstable; urgency=low

  * release Tag 6.0.1 

 --  fanpengcheng <fanpengcheng@uniontech.com>  Tue, 21 Jun 2022 16:24:49 +0800

dde-dock (6.0.0.1) unstable; urgency=low

  * release Tag 6.0.0.1 

 -- donghualin <donghualin@uniontech.com>  Wed, 1 Jun 2022 21:34:29 +0800

dde-dock (6.0.0.0) unstable; urgency=low

  * release Tag 6.0.0.0 

 -- donghualin <donghualin@uniontech.com>  Wed, 1 Jun 2022 10:11:29 +0800

dde-dock (3.0.12-1) unstable; urgency=low

  * Autobuild Tag 3.0.12 

 -- TagBuilder <tagbuilder@deepin.com>  Fri, 12 Aug 2016 18:46:29 +0000

dde-dock (3.0.11-1) unstable; urgency=low

  * Autobuild Tag 3.0.11 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Fri, 27 May 2016 05:35:51 +0000

dde-dock (3.0.10-2) unstable; urgency=low

  * Rebuild Version 3.0.10 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Thu, 26 May 2016 19:04:32 +0000

dde-dock (3.0.10-1) unstable; urgency=low

  * Autobuild Tag 3.0.10 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Thu, 26 May 2016 17:25:08 +0000

dde-dock (3.0.9-1) stable; urgency=low

  * Autobuild Tag 3.0.9 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Mon, 23 May 2016 12:34:35 +0000

dde-dock (3.0.7-3) stable; urgency=low

  * Rebuild Version 3.0.7 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Mon, 25 Apr 2016 11:20:50 +0000

dde-dock (3.0.7-2) stable; urgency=low

  * Rebuild Version 3.0.7 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Thu, 21 Apr 2016 16:18:53 +0000

dde-dock (3.0.7-1) stable; urgency=low

  * Autobuild Tag 3.0.7 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Mon, 07 Mar 2016 15:49:07 +0000

dde-dock (3.0.6-1) stable; urgency=low

  * Autobuild Tag 3.0.6 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Thu, 25 Feb 2016 16:03:25 +0000

dde-dock (3.0.5-1) stable; urgency=low

  * Autobuild Tag 3.0.5 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Thu, 25 Feb 2016 10:41:40 +0000

dde-dock (3.0.4-1) stable; urgency=low

  * Autobuild Tag 3.0.4 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Mon, 22 Feb 2016 16:40:32 +0000

dde-dock (3.0.3-1) stable; urgency=low

  * Autobuild Tag 3.0.3 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Fri, 22 Jan 2016 20:00:03 +0000

dde-dock (3.0.2-1) stable; urgency=low

  * Autobuild Tag 3.0.2 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Tue, 12 Jan 2016 18:33:03 +0000

dde-dock (3.0.1-1) stable; urgency=low

  * Autobuild Tag 3.0.1 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Tue, 29 Dec 2015 21:27:15 +0000

dde-dock (3.0.0-1) stable; urgency=low

  * Autobuild Tag 3.0.0 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Mon, 28 Dec 2015 20:51:24 +0000

dde-dock (2.90.5-2) stable; urgency=low

  * Rebuild Version 2.90.5 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Tue, 22 Dec 2015 13:19:32 +0000

dde-dock (2.90.5-1) stable; urgency=low

  * Autobuild Tag 2.90.5 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Mon, 21 Dec 2015 22:22:22 +0000

dde-dock (2.90.4-2) stable; urgency=low

  * Rebuild Version 2.90.4 

 -- TagBuilder <tabbuilder@linuxdeepin.com>  Sun, 20 Dec 2015 10:35:54 +0000

dde-dock (2.90.4-1) stable; urgency=low

  * Autobuild Tag 2.90.4 

 -- TagBuilder <tabbuilder@linuxdeepin.com>  Sat, 19 Dec 2015 13:07:01 +0000

dde-dock (2.90.3-1) stable; urgency=low

  * Autobuild Tag 2.90.3 

 -- TagBuilder <tabbuilder@linuxdeepin.com>  Thu, 10 Dec 2015 20:40:49 +0000

dde-dock (2.90.2-1) stable; urgency=low

  * Autobuild Tag 2.90.2 

 -- TagBuilder <tabbuilder@linuxdeepin.com>  Wed, 09 Dec 2015 22:04:43 +0000

dde-dock (2.90.1-1) stable; urgency=low

  * Autobuild Tag 2.90.1 

 -- TagBuilder <tabbuilder@linuxdeepin.com>  Fri, 20 Nov 2015 09:46:31 +0000

dde-dock (0.0~git20150824-1) unstable; urgency=low

  * Initial release

 -- Deepin Packages Builder <packages@linuxdeepin.com>  Mon, 24 Aug 2015 19:03:01 +0000
